Bug 475826 - Update support for SAP resource agents (rgmanager)
Update support for SAP resource agents (rgmanager)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: 5.4
Assigned To: Lon Hohberger
Cluster QE
: ZStream
Depends On:
Blocks: 441882 475828 479708 483784
  Show dependency treegraph
 
Reported: 2008-12-10 12:47 EST by Lon Hohberger
Modified: 2009-09-02 07:03 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch with no_umount option (1.26 KB, patch)
2009-01-08 07:46 EST, Mark Hlawatschek
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2008-12-10 12:47:19 EST
Description of problem:

The SAP resource agents included in RHEL 5.2 and RHEL 5.3 are out of date.  The new ones need to be included for the best support of SAP's products on RHEL5.

Updated agents were added as part of bug #239597 and are as follows:

https://bugzilla.redhat.com/attachment.cgi?id=324950
https://bugzilla.redhat.com/attachment.cgi?id=324953
https://bugzilla.redhat.com/attachment.cgi?id=324954

These were provided by engineers at Atix and have been committed to the master branch of the cluster project, but have not been ported to RHEL5 or 5.3.
Comment 2 Lon Hohberger 2008-12-10 12:49:25 EST
I would like to see this as an early update to RHEL 5.3 if possible, as it affects customer installations.
Comment 3 Lon Hohberger 2008-12-10 15:21:54 EST
Mark,

Licensing information in the updated agents does not specify what version of the GPL license is in force.  The rest of the linux-cluster project is GPL v2+.  Please advise if this license versioning is okay.

-- Lon
Comment 4 Mark Hlawatschek 2008-12-11 03:18:22 EST
Lon,

as I'm not the author of the SAPDatabase and SAPInstance agents, I cannot change the license. We need to consult Alex Krauth for a license change there.
For the follow_service script I agree to change the license to GPL v2+.

-Mark
Comment 5 Lon Hohberger 2008-12-11 14:12:07 EST
Updated.
Comment 6 Lon Hohberger 2008-12-11 14:12:30 EST
Thanks :)
Comment 7 Lon Hohberger 2008-12-11 14:18:51 EST
Hi Alexander,

The recent updates to the SAPInstance / SAPDatabase resource agents are licensed with the GPL, but it doesn't specify which version.  Our cluster stack uses the "GPL version 2 or later", since GPLv1 is not necessarily compatible with other licenses.

Would it be possible for you to grant a license on those agents under "GPL, version 2 or (at your option) any later version", so we can exclude GPLv1?

I can't simply change a license without authorization from the original author.

-- Lon
Comment 8 Mark Hlawatschek 2009-01-08 07:45:12 EST
Hi Lon,

in some configurations, parts of the SAP binaries are hosted on a nfs fileserver. In this case, all SAP cluster resources need to define a netfs resource to be able to control the nfs mount.
The problem with the current netfs agent is, that it unmounts the nfs filesystem with every stop and relocation operation. This causes all other resources running on the same server to fail, because the nfs mount is not available any more.
To solve the problem, I added a no_umount parameter to the netfs agent, preventing the umount operation.
Could you please take a look at the proposed changes ?
Thanks a lot, 
Mark
Comment 9 Mark Hlawatschek 2009-01-08 07:46:25 EST
Created attachment 328459 [details]
patch with no_umount option
Comment 10 Lon Hohberger 2009-01-08 11:21:21 EST
I'm ok with this change.
Comment 18 Lon Hohberger 2009-02-27 10:16:14 EST
An additional patch proposed during the testing phase of #479708 has been pushed to the RHEL5 branch:

http://git.fedorahosted.org/git/?p=cluster.git;a=commit;h=1fe224ebf9a023a2a781c7d33661128bc2e5582a
Comment 19 Helge Deller 2009-03-26 12:11:20 EDT
Mark Hlawatschek, could you test this and report back?
Comment 21 Chris Ward 2009-07-03 14:17:40 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 22 Chris Ward 2009-07-10 15:08:48 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 24 errata-xmlrpc 2009-09-02 07:03:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1339.html

Note You need to log in before you can comment on or make changes to this bug.